using UnityEngine;
using System.Collections;

using DG.Tweening;

public class Ritual_Divine : Ritual {

	public GameObject divineGo;

	public override IEnumerator RitualEffectCO(){

		Debug.Log("RITUAL DIVINE!");

		yield return new WaitForSeconds (0.2f);

		// Fai arrivare l'eclissi
		SfxController.instance.PlaySound ("effect_wolf");

		divineGo.SetActive(true);

		ambientLight.intensity = 0;
		fireLight.color = Color.cyan;

		yield return new WaitForSeconds (2f);

		divineGo.SetActive(false);

		ambientLight.intensity = 0.7f;
		fireLight.color = new Color (1f, 0.5f, 0f);
	}

}